
# Распаковка словаря с ключами и значениями
def func_1():
    d1 = {'key1': 1, 'key2': 2}
    d2 = {'key2': 1, 'key3': 2}
    d3 = {'a1': 1, **d2, **d1}
    print(d3)


def concatenate(**kwargs):
    ret = ""
    for x in kwargs.values():
        if (type(x) == list):
            ret += ''.join(str(x))
        else:
            ret += str(x)
    return ret


def create_actor(**kwargs):
    base_dict = {'name': 'Райан', 'surname': 'Рейнольдс', 'age': 47}
    for key, value in kwargs.items():
        base_dict[key] = value
    return base_dict


def info_kwargs(**kwargs):
    for key in sorted(kwargs):
        print(f'{key} = {kwargs[key]}')



def main():
    # func_1()

    # print(concatenate(q='iHave', w="next", e="Coins", r=[10, 5, 10, 7]))
    # print(concatenate(q='iHave', w="next", e="Coins"))

    # print(create_actor())
    # print(create_actor(height=190, movies=['Дедпул', 'Главный герой']))

    info_kwargs(c=43, b= 32, a=32)


if __name__ == '__main__':
    main()